//*****************************************************************************
//
// qtmixer - an X windows soundcard mixer program.
// Copyright (C) 1997 - 2000  Tom Daley
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// The license is in the file COPYING.
//
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
//
// daley@codenet.net (Tom Daley)
// http://users.codenet.net/daley
//
//*****************************************************************************

#ifndef QTED_SLIDER_H
#define QTED_SLIDER_H

#include <qslider.h>

//*****************************************************************************
//
// This is a slider that emits right mouse button press/release info
//
//*****************************************************************************

class QtedSlider : public QSlider {
   Q_OBJECT
   public:
      QtedSlider(QWidget* parent=0, const char* name=0);
      QtedSlider(Orientation, QWidget* parent=0, const char* name=0);
      QtedSlider(int minValue, int maxValue, int step, int value, Orientation, 
                 QWidget* parent=0, const char* name=0);
      void mousePressEvent(QMouseEvent* me_p);
      void mouseReleaseEvent(QMouseEvent* me_p);
   signals:
      void rightPressed();
      void rightReleased();
};

#endif

//*****************************************************************************
